#
# spec file for package python-PyDispatcher
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyDispatcher
Version:        2.0.7
Release:        1.9
Summary:        Multi-producer-multi-consumer signal dispatching mechanism
License:        BSD-3-Clause
URL:            https://github.com/mcfletch/pydispatcher
Source:         https://files.pythonhosted.org/packages/source/P/PyDispatcher/PyDispatcher-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Dispatcher mechanism for creating event models.

PyDispatcher is an enhanced version of Patrick K. O’Brien’s original
dispatcher.py module. It provides the Python programmer with a robust
mechanism for event routing within various application contexts.

Included in the package are the robustapply and saferef modules, which
provide the ability to selectively apply arguments to callable objects and
to reference instance methods using weak-references.

%prep
%setup -q -n PyDispatcher-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license license.txt
%{python_sitelib}/*

%changelog
* Thu Jun  1 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.7:
  * packaging improvements, include pyproject.toml
* Fri Sep  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.0.6
  No change log. Following is git log
  * README Show the pypi badges for the project
  * PACKAGING Update the packaging and docs for github hosting, version bump
  * PAGES Check in the pydispatcher pydoc for gh-pages
  * PYTHON3 Update the pydoc runner to work under python3
  * Add tox-file to run the test suite across current interpreters
  * Remove 2to3 command as well
  * Remove the 2to3 operation, provide a __bool__ method
  * Fix indentation weirdness
  * Bump version for 2/3 release
  * A few percent improvement in test coverage in trivial branches
  * Expand tabs to 4-spaces
  * Eliminate the old CVS auto-update metadata (now out of date), unused import
  * Pass test suite under Python 3.4
  * Fix license declaration and get rid of the python 2.2 work arounds
  * Ignore coverage directory
  * More print function changes
  * Print function
  * Eliminate the future statement from 2.3 or so
  * Coverage test run script
  * Use modern except forms
  * Note link to django.dispatch, provide links to pyvrml97 use-case examples
  * Add script to upload the documentation
  * Eliminate some un-needed imports and assignments
  * Hrm, didn't get docs checked in, anyway, docs and 2 introductory samples
  * Extend docs with some basic usage
  * Ignore generated pydocs
  * Update the docs ever so slightly with more accurate references
  * Note current maintainer in setup, build zip and tar by default
  * Add Python3 identifier
  * Python 3.2 now passes the whole test suite
  * Ignore a few generated files
  * Version bump for the 3.x compatible release
  * Make the test suite run under 2.x or 3.x
  * Allow use of 2to3 automatically on installation, clean up code ever so slightly
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Dec 21 2017 mpluskal@suse.com
- Convert to singlespec
* Thu Jun  2 2016 jacobwinski@gmail.com
- Add description to spec file.
* Thu Jun  2 2016 jacobwinski@gmail.com
- Initial package build.
